Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network240.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
240.0.0.0
Broadcast address
241.255.255.255
First usable
240.0.0.1
Last usable
241.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F0000000 · Integer 4026531840 to 4060086271
Reverse DNS zones
240.in-addr.arpa
241.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11110000.00000000.00000000.00000000240.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network11110000.00000000.00000000.00000000240.0.0.0
Broadcast11110001.11111111.11111111.11111111241.255.255.255
Split into smaller subnets/17

240.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1240.0.0.0/17240.0.0.1 to 240.0.127.254240.0.127.25532,766
2240.0.128.0/17240.0.128.1 to 240.0.255.254240.0.255.25532,766
3240.1.0.0/17240.1.0.1 to 240.1.127.254240.1.127.25532,766
4240.1.128.0/17240.1.128.1 to 240.1.255.254240.1.255.25532,766
5240.2.0.0/17240.2.0.1 to 240.2.127.254240.2.127.25532,766
6240.2.128.0/17240.2.128.1 to 240.2.255.254240.2.255.25532,766
7240.3.0.0/17240.3.0.1 to 240.3.127.254240.3.127.25532,766
8240.3.128.0/17240.3.128.1 to 240.3.255.254240.3.255.25532,766
9240.4.0.0/17240.4.0.1 to 240.4.127.254240.4.127.25532,766
10240.4.128.0/17240.4.128.1 to 240.4.255.254240.4.255.25532,766
11240.5.0.0/17240.5.0.1 to 240.5.127.254240.5.127.25532,766
12240.5.128.0/17240.5.128.1 to 240.5.255.254240.5.255.25532,766
13240.6.0.0/17240.6.0.1 to 240.6.127.254240.6.127.25532,766
14240.6.128.0/17240.6.128.1 to 240.6.255.254240.6.255.25532,766
15240.7.0.0/17240.7.0.1 to 240.7.127.254240.7.127.25532,766
16240.7.128.0/17240.7.128.1 to 240.7.255.254240.7.255.25532,766
17240.8.0.0/17240.8.0.1 to 240.8.127.254240.8.127.25532,766
18240.8.128.0/17240.8.128.1 to 240.8.255.254240.8.255.25532,766
19240.9.0.0/17240.9.0.1 to 240.9.127.254240.9.127.25532,766
20240.9.128.0/17240.9.128.1 to 240.9.255.254240.9.255.25532,766
21240.10.0.0/17240.10.0.1 to 240.10.127.254240.10.127.25532,766
22240.10.128.0/17240.10.128.1 to 240.10.255.254240.10.255.25532,766
23240.11.0.0/17240.11.0.1 to 240.11.127.254240.11.127.25532,766
24240.11.128.0/17240.11.128.1 to 240.11.255.254240.11.255.25532,766
25240.12.0.0/17240.12.0.1 to 240.12.127.254240.12.127.25532,766
26240.12.128.0/17240.12.128.1 to 240.12.255.254240.12.255.25532,766
27240.13.0.0/17240.13.0.1 to 240.13.127.254240.13.127.25532,766
28240.13.128.0/17240.13.128.1 to 240.13.255.254240.13.255.25532,766
29240.14.0.0/17240.14.0.1 to 240.14.127.254240.14.127.25532,766
30240.14.128.0/17240.14.128.1 to 240.14.255.254240.14.255.25532,766
31240.15.0.0/17240.15.0.1 to 240.15.127.254240.15.127.25532,766
32240.15.128.0/17240.15.128.1 to 240.15.255.254240.15.255.25532,766
33240.16.0.0/17240.16.0.1 to 240.16.127.254240.16.127.25532,766
34240.16.128.0/17240.16.128.1 to 240.16.255.254240.16.255.25532,766
35240.17.0.0/17240.17.0.1 to 240.17.127.254240.17.127.25532,766
36240.17.128.0/17240.17.128.1 to 240.17.255.254240.17.255.25532,766
37240.18.0.0/17240.18.0.1 to 240.18.127.254240.18.127.25532,766
38240.18.128.0/17240.18.128.1 to 240.18.255.254240.18.255.25532,766
39240.19.0.0/17240.19.0.1 to 240.19.127.254240.19.127.25532,766
40240.19.128.0/17240.19.128.1 to 240.19.255.254240.19.255.25532,766
41240.20.0.0/17240.20.0.1 to 240.20.127.254240.20.127.25532,766
42240.20.128.0/17240.20.128.1 to 240.20.255.254240.20.255.25532,766
43240.21.0.0/17240.21.0.1 to 240.21.127.254240.21.127.25532,766
44240.21.128.0/17240.21.128.1 to 240.21.255.254240.21.255.25532,766
45240.22.0.0/17240.22.0.1 to 240.22.127.254240.22.127.25532,766
46240.22.128.0/17240.22.128.1 to 240.22.255.254240.22.255.25532,766
47240.23.0.0/17240.23.0.1 to 240.23.127.254240.23.127.25532,766
48240.23.128.0/17240.23.128.1 to 240.23.255.254240.23.255.25532,766
49240.24.0.0/17240.24.0.1 to 240.24.127.254240.24.127.25532,766
50240.24.128.0/17240.24.128.1 to 240.24.255.254240.24.255.25532,766
51240.25.0.0/17240.25.0.1 to 240.25.127.254240.25.127.25532,766
52240.25.128.0/17240.25.128.1 to 240.25.255.254240.25.255.25532,766
53240.26.0.0/17240.26.0.1 to 240.26.127.254240.26.127.25532,766
54240.26.128.0/17240.26.128.1 to 240.26.255.254240.26.255.25532,766
55240.27.0.0/17240.27.0.1 to 240.27.127.254240.27.127.25532,766
56240.27.128.0/17240.27.128.1 to 240.27.255.254240.27.255.25532,766
57240.28.0.0/17240.28.0.1 to 240.28.127.254240.28.127.25532,766
58240.28.128.0/17240.28.128.1 to 240.28.255.254240.28.255.25532,766
59240.29.0.0/17240.29.0.1 to 240.29.127.254240.29.127.25532,766
60240.29.128.0/17240.29.128.1 to 240.29.255.254240.29.255.25532,766
61240.30.0.0/17240.30.0.1 to 240.30.127.254240.30.127.25532,766
62240.30.128.0/17240.30.128.1 to 240.30.255.254240.30.255.25532,766
63240.31.0.0/17240.31.0.1 to 240.31.127.254240.31.127.25532,766
64240.31.128.0/17240.31.128.1 to 240.31.255.254240.31.255.25532,766
65240.32.0.0/17240.32.0.1 to 240.32.127.254240.32.127.25532,766
66240.32.128.0/17240.32.128.1 to 240.32.255.254240.32.255.25532,766
67240.33.0.0/17240.33.0.1 to 240.33.127.254240.33.127.25532,766
68240.33.128.0/17240.33.128.1 to 240.33.255.254240.33.255.25532,766
69240.34.0.0/17240.34.0.1 to 240.34.127.254240.34.127.25532,766
70240.34.128.0/17240.34.128.1 to 240.34.255.254240.34.255.25532,766
71240.35.0.0/17240.35.0.1 to 240.35.127.254240.35.127.25532,766
72240.35.128.0/17240.35.128.1 to 240.35.255.254240.35.255.25532,766
73240.36.0.0/17240.36.0.1 to 240.36.127.254240.36.127.25532,766
74240.36.128.0/17240.36.128.1 to 240.36.255.254240.36.255.25532,766
75240.37.0.0/17240.37.0.1 to 240.37.127.254240.37.127.25532,766
76240.37.128.0/17240.37.128.1 to 240.37.255.254240.37.255.25532,766
77240.38.0.0/17240.38.0.1 to 240.38.127.254240.38.127.25532,766
78240.38.128.0/17240.38.128.1 to 240.38.255.254240.38.255.25532,766
79240.39.0.0/17240.39.0.1 to 240.39.127.254240.39.127.25532,766
80240.39.128.0/17240.39.128.1 to 240.39.255.254240.39.255.25532,766
81240.40.0.0/17240.40.0.1 to 240.40.127.254240.40.127.25532,766
82240.40.128.0/17240.40.128.1 to 240.40.255.254240.40.255.25532,766
83240.41.0.0/17240.41.0.1 to 240.41.127.254240.41.127.25532,766
84240.41.128.0/17240.41.128.1 to 240.41.255.254240.41.255.25532,766
85240.42.0.0/17240.42.0.1 to 240.42.127.254240.42.127.25532,766
86240.42.128.0/17240.42.128.1 to 240.42.255.254240.42.255.25532,766
87240.43.0.0/17240.43.0.1 to 240.43.127.254240.43.127.25532,766
88240.43.128.0/17240.43.128.1 to 240.43.255.254240.43.255.25532,766
89240.44.0.0/17240.44.0.1 to 240.44.127.254240.44.127.25532,766
90240.44.128.0/17240.44.128.1 to 240.44.255.254240.44.255.25532,766
91240.45.0.0/17240.45.0.1 to 240.45.127.254240.45.127.25532,766
92240.45.128.0/17240.45.128.1 to 240.45.255.254240.45.255.25532,766
93240.46.0.0/17240.46.0.1 to 240.46.127.254240.46.127.25532,766
94240.46.128.0/17240.46.128.1 to 240.46.255.254240.46.255.25532,766
95240.47.0.0/17240.47.0.1 to 240.47.127.254240.47.127.25532,766
96240.47.128.0/17240.47.128.1 to 240.47.255.254240.47.255.25532,766
97240.48.0.0/17240.48.0.1 to 240.48.127.254240.48.127.25532,766
98240.48.128.0/17240.48.128.1 to 240.48.255.254240.48.255.25532,766
99240.49.0.0/17240.49.0.1 to 240.49.127.254240.49.127.25532,766
100240.49.128.0/17240.49.128.1 to 240.49.255.254240.49.255.25532,766
101240.50.0.0/17240.50.0.1 to 240.50.127.254240.50.127.25532,766
102240.50.128.0/17240.50.128.1 to 240.50.255.254240.50.255.25532,766
103240.51.0.0/17240.51.0.1 to 240.51.127.254240.51.127.25532,766
104240.51.128.0/17240.51.128.1 to 240.51.255.254240.51.255.25532,766
105240.52.0.0/17240.52.0.1 to 240.52.127.254240.52.127.25532,766
106240.52.128.0/17240.52.128.1 to 240.52.255.254240.52.255.25532,766
107240.53.0.0/17240.53.0.1 to 240.53.127.254240.53.127.25532,766
108240.53.128.0/17240.53.128.1 to 240.53.255.254240.53.255.25532,766
109240.54.0.0/17240.54.0.1 to 240.54.127.254240.54.127.25532,766
110240.54.128.0/17240.54.128.1 to 240.54.255.254240.54.255.25532,766
111240.55.0.0/17240.55.0.1 to 240.55.127.254240.55.127.25532,766
112240.55.128.0/17240.55.128.1 to 240.55.255.254240.55.255.25532,766
113240.56.0.0/17240.56.0.1 to 240.56.127.254240.56.127.25532,766
114240.56.128.0/17240.56.128.1 to 240.56.255.254240.56.255.25532,766
115240.57.0.0/17240.57.0.1 to 240.57.127.254240.57.127.25532,766
116240.57.128.0/17240.57.128.1 to 240.57.255.254240.57.255.25532,766
117240.58.0.0/17240.58.0.1 to 240.58.127.254240.58.127.25532,766
118240.58.128.0/17240.58.128.1 to 240.58.255.254240.58.255.25532,766
119240.59.0.0/17240.59.0.1 to 240.59.127.254240.59.127.25532,766
120240.59.128.0/17240.59.128.1 to 240.59.255.254240.59.255.25532,766
121240.60.0.0/17240.60.0.1 to 240.60.127.254240.60.127.25532,766
122240.60.128.0/17240.60.128.1 to 240.60.255.254240.60.255.25532,766
123240.61.0.0/17240.61.0.1 to 240.61.127.254240.61.127.25532,766
124240.61.128.0/17240.61.128.1 to 240.61.255.254240.61.255.25532,766
125240.62.0.0/17240.62.0.1 to 240.62.127.254240.62.127.25532,766
126240.62.128.0/17240.62.128.1 to 240.62.255.254240.62.255.25532,766
127240.63.0.0/17240.63.0.1 to 240.63.127.254240.63.127.25532,766
128240.63.128.0/17240.63.128.1 to 240.63.255.254240.63.255.25532,766
129240.64.0.0/17240.64.0.1 to 240.64.127.254240.64.127.25532,766
130240.64.128.0/17240.64.128.1 to 240.64.255.254240.64.255.25532,766
131240.65.0.0/17240.65.0.1 to 240.65.127.254240.65.127.25532,766
132240.65.128.0/17240.65.128.1 to 240.65.255.254240.65.255.25532,766
133240.66.0.0/17240.66.0.1 to 240.66.127.254240.66.127.25532,766
134240.66.128.0/17240.66.128.1 to 240.66.255.254240.66.255.25532,766
135240.67.0.0/17240.67.0.1 to 240.67.127.254240.67.127.25532,766
136240.67.128.0/17240.67.128.1 to 240.67.255.254240.67.255.25532,766
137240.68.0.0/17240.68.0.1 to 240.68.127.254240.68.127.25532,766
138240.68.128.0/17240.68.128.1 to 240.68.255.254240.68.255.25532,766
139240.69.0.0/17240.69.0.1 to 240.69.127.254240.69.127.25532,766
140240.69.128.0/17240.69.128.1 to 240.69.255.254240.69.255.25532,766
141240.70.0.0/17240.70.0.1 to 240.70.127.254240.70.127.25532,766
142240.70.128.0/17240.70.128.1 to 240.70.255.254240.70.255.25532,766
143240.71.0.0/17240.71.0.1 to 240.71.127.254240.71.127.25532,766
144240.71.128.0/17240.71.128.1 to 240.71.255.254240.71.255.25532,766
145240.72.0.0/17240.72.0.1 to 240.72.127.254240.72.127.25532,766
146240.72.128.0/17240.72.128.1 to 240.72.255.254240.72.255.25532,766
147240.73.0.0/17240.73.0.1 to 240.73.127.254240.73.127.25532,766
148240.73.128.0/17240.73.128.1 to 240.73.255.254240.73.255.25532,766
149240.74.0.0/17240.74.0.1 to 240.74.127.254240.74.127.25532,766
150240.74.128.0/17240.74.128.1 to 240.74.255.254240.74.255.25532,766
151240.75.0.0/17240.75.0.1 to 240.75.127.254240.75.127.25532,766
152240.75.128.0/17240.75.128.1 to 240.75.255.254240.75.255.25532,766
153240.76.0.0/17240.76.0.1 to 240.76.127.254240.76.127.25532,766
154240.76.128.0/17240.76.128.1 to 240.76.255.254240.76.255.25532,766
155240.77.0.0/17240.77.0.1 to 240.77.127.254240.77.127.25532,766
156240.77.128.0/17240.77.128.1 to 240.77.255.254240.77.255.25532,766
157240.78.0.0/17240.78.0.1 to 240.78.127.254240.78.127.25532,766
158240.78.128.0/17240.78.128.1 to 240.78.255.254240.78.255.25532,766
159240.79.0.0/17240.79.0.1 to 240.79.127.254240.79.127.25532,766
160240.79.128.0/17240.79.128.1 to 240.79.255.254240.79.255.25532,766
161240.80.0.0/17240.80.0.1 to 240.80.127.254240.80.127.25532,766
162240.80.128.0/17240.80.128.1 to 240.80.255.254240.80.255.25532,766
163240.81.0.0/17240.81.0.1 to 240.81.127.254240.81.127.25532,766
164240.81.128.0/17240.81.128.1 to 240.81.255.254240.81.255.25532,766
165240.82.0.0/17240.82.0.1 to 240.82.127.254240.82.127.25532,766
166240.82.128.0/17240.82.128.1 to 240.82.255.254240.82.255.25532,766
167240.83.0.0/17240.83.0.1 to 240.83.127.254240.83.127.25532,766
168240.83.128.0/17240.83.128.1 to 240.83.255.254240.83.255.25532,766
169240.84.0.0/17240.84.0.1 to 240.84.127.254240.84.127.25532,766
170240.84.128.0/17240.84.128.1 to 240.84.255.254240.84.255.25532,766
171240.85.0.0/17240.85.0.1 to 240.85.127.254240.85.127.25532,766
172240.85.128.0/17240.85.128.1 to 240.85.255.254240.85.255.25532,766
173240.86.0.0/17240.86.0.1 to 240.86.127.254240.86.127.25532,766
174240.86.128.0/17240.86.128.1 to 240.86.255.254240.86.255.25532,766
175240.87.0.0/17240.87.0.1 to 240.87.127.254240.87.127.25532,766
176240.87.128.0/17240.87.128.1 to 240.87.255.254240.87.255.25532,766
177240.88.0.0/17240.88.0.1 to 240.88.127.254240.88.127.25532,766
178240.88.128.0/17240.88.128.1 to 240.88.255.254240.88.255.25532,766
179240.89.0.0/17240.89.0.1 to 240.89.127.254240.89.127.25532,766
180240.89.128.0/17240.89.128.1 to 240.89.255.254240.89.255.25532,766
181240.90.0.0/17240.90.0.1 to 240.90.127.254240.90.127.25532,766
182240.90.128.0/17240.90.128.1 to 240.90.255.254240.90.255.25532,766
183240.91.0.0/17240.91.0.1 to 240.91.127.254240.91.127.25532,766
184240.91.128.0/17240.91.128.1 to 240.91.255.254240.91.255.25532,766
185240.92.0.0/17240.92.0.1 to 240.92.127.254240.92.127.25532,766
186240.92.128.0/17240.92.128.1 to 240.92.255.254240.92.255.25532,766
187240.93.0.0/17240.93.0.1 to 240.93.127.254240.93.127.25532,766
188240.93.128.0/17240.93.128.1 to 240.93.255.254240.93.255.25532,766
189240.94.0.0/17240.94.0.1 to 240.94.127.254240.94.127.25532,766
190240.94.128.0/17240.94.128.1 to 240.94.255.254240.94.255.25532,766
191240.95.0.0/17240.95.0.1 to 240.95.127.254240.95.127.25532,766
192240.95.128.0/17240.95.128.1 to 240.95.255.254240.95.255.25532,766
193240.96.0.0/17240.96.0.1 to 240.96.127.254240.96.127.25532,766
194240.96.128.0/17240.96.128.1 to 240.96.255.254240.96.255.25532,766
195240.97.0.0/17240.97.0.1 to 240.97.127.254240.97.127.25532,766
196240.97.128.0/17240.97.128.1 to 240.97.255.254240.97.255.25532,766
197240.98.0.0/17240.98.0.1 to 240.98.127.254240.98.127.25532,766
198240.98.128.0/17240.98.128.1 to 240.98.255.254240.98.255.25532,766
199240.99.0.0/17240.99.0.1 to 240.99.127.254240.99.127.25532,766
200240.99.128.0/17240.99.128.1 to 240.99.255.254240.99.255.25532,766
201240.100.0.0/17240.100.0.1 to 240.100.127.254240.100.127.25532,766
202240.100.128.0/17240.100.128.1 to 240.100.255.254240.100.255.25532,766
203240.101.0.0/17240.101.0.1 to 240.101.127.254240.101.127.25532,766
204240.101.128.0/17240.101.128.1 to 240.101.255.254240.101.255.25532,766
205240.102.0.0/17240.102.0.1 to 240.102.127.254240.102.127.25532,766
206240.102.128.0/17240.102.128.1 to 240.102.255.254240.102.255.25532,766
207240.103.0.0/17240.103.0.1 to 240.103.127.254240.103.127.25532,766
208240.103.128.0/17240.103.128.1 to 240.103.255.254240.103.255.25532,766
209240.104.0.0/17240.104.0.1 to 240.104.127.254240.104.127.25532,766
210240.104.128.0/17240.104.128.1 to 240.104.255.254240.104.255.25532,766
211240.105.0.0/17240.105.0.1 to 240.105.127.254240.105.127.25532,766
212240.105.128.0/17240.105.128.1 to 240.105.255.254240.105.255.25532,766
213240.106.0.0/17240.106.0.1 to 240.106.127.254240.106.127.25532,766
214240.106.128.0/17240.106.128.1 to 240.106.255.254240.106.255.25532,766
215240.107.0.0/17240.107.0.1 to 240.107.127.254240.107.127.25532,766
216240.107.128.0/17240.107.128.1 to 240.107.255.254240.107.255.25532,766
217240.108.0.0/17240.108.0.1 to 240.108.127.254240.108.127.25532,766
218240.108.128.0/17240.108.128.1 to 240.108.255.254240.108.255.25532,766
219240.109.0.0/17240.109.0.1 to 240.109.127.254240.109.127.25532,766
220240.109.128.0/17240.109.128.1 to 240.109.255.254240.109.255.25532,766
221240.110.0.0/17240.110.0.1 to 240.110.127.254240.110.127.25532,766
222240.110.128.0/17240.110.128.1 to 240.110.255.254240.110.255.25532,766
223240.111.0.0/17240.111.0.1 to 240.111.127.254240.111.127.25532,766
224240.111.128.0/17240.111.128.1 to 240.111.255.254240.111.255.25532,766
225240.112.0.0/17240.112.0.1 to 240.112.127.254240.112.127.25532,766
226240.112.128.0/17240.112.128.1 to 240.112.255.254240.112.255.25532,766
227240.113.0.0/17240.113.0.1 to 240.113.127.254240.113.127.25532,766
228240.113.128.0/17240.113.128.1 to 240.113.255.254240.113.255.25532,766
229240.114.0.0/17240.114.0.1 to 240.114.127.254240.114.127.25532,766
230240.114.128.0/17240.114.128.1 to 240.114.255.254240.114.255.25532,766
231240.115.0.0/17240.115.0.1 to 240.115.127.254240.115.127.25532,766
232240.115.128.0/17240.115.128.1 to 240.115.255.254240.115.255.25532,766
233240.116.0.0/17240.116.0.1 to 240.116.127.254240.116.127.25532,766
234240.116.128.0/17240.116.128.1 to 240.116.255.254240.116.255.25532,766
235240.117.0.0/17240.117.0.1 to 240.117.127.254240.117.127.25532,766
236240.117.128.0/17240.117.128.1 to 240.117.255.254240.117.255.25532,766
237240.118.0.0/17240.118.0.1 to 240.118.127.254240.118.127.25532,766
238240.118.128.0/17240.118.128.1 to 240.118.255.254240.118.255.25532,766
239240.119.0.0/17240.119.0.1 to 240.119.127.254240.119.127.25532,766
240240.119.128.0/17240.119.128.1 to 240.119.255.254240.119.255.25532,766
241240.120.0.0/17240.120.0.1 to 240.120.127.254240.120.127.25532,766
242240.120.128.0/17240.120.128.1 to 240.120.255.254240.120.255.25532,766
243240.121.0.0/17240.121.0.1 to 240.121.127.254240.121.127.25532,766
244240.121.128.0/17240.121.128.1 to 240.121.255.254240.121.255.25532,766
245240.122.0.0/17240.122.0.1 to 240.122.127.254240.122.127.25532,766
246240.122.128.0/17240.122.128.1 to 240.122.255.254240.122.255.25532,766
247240.123.0.0/17240.123.0.1 to 240.123.127.254240.123.127.25532,766
248240.123.128.0/17240.123.128.1 to 240.123.255.254240.123.255.25532,766
249240.124.0.0/17240.124.0.1 to 240.124.127.254240.124.127.25532,766
250240.124.128.0/17240.124.128.1 to 240.124.255.254240.124.255.25532,766
251240.125.0.0/17240.125.0.1 to 240.125.127.254240.125.127.25532,766
252240.125.128.0/17240.125.128.1 to 240.125.255.254240.125.255.25532,766
253240.126.0.0/17240.126.0.1 to 240.126.127.254240.126.127.25532,766
254240.126.128.0/17240.126.128.1 to 240.126.255.254240.126.255.25532,766
255240.127.0.0/17240.127.0.1 to 240.127.127.254240.127.127.25532,766
256240.127.128.0/17240.127.128.1 to 240.127.255.254240.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses